done
}
-function deleteLock {
- if ! rmdir /tmp/$(basename $0).lock; then
- scottyerror "Could not delete lockfile /tmp/$(basename $0).lock!"
- fi
-}
-
function prepare {
scottyinfo "Preparing for sync."
}
kill $(jobs -p)
fi
- deleteLock
-
exit
}
scottyinfo "No prepare function was defined."
}
-function cleanup_normal {
- cleanup
- deleteLock
-}
-
function printhelp {
cat <<EOF
Usage: $(basename $0) [OPTION]...
prepare
scottysync
- trap cleanup_normal EXIT
+ trap cleanup EXIT
exit 0
}
-if ! mkdir /tmp/$(basename $0).lock; then
+exec 200>/var/run/$(basename $0).pid
+if ! flock -n 200; then
scottyerror "Another instance of $(basename $0) is still running!"
exit 1
-else
- trap deleteLock EXIT
fi
+echo $$ 1>&200